Package alt.java.rmi

# Interface Naming

All Known Implementing Classes:
  `MockNaming`, `NamingImpl`

public interface Naming

## Method Summary

Modifier and Type
Method
Description
`void`
`bind(String name, Remote obj)`
`String[]`
`list(String name)`
`Remote`
`lookup(String name)`
`void`
`rebind(String name, Remote obj)`
`void`
`unbind(String name)`

## Method Details

### lookup

Remote lookup(String name) throws NotBoundException, MalformedURLException, RemoteException

Throws:
  `NotBoundException`
  `MalformedURLException`
  `RemoteException`

### bind

void bind(String name, Remote obj) throws AlreadyBoundException, MalformedURLException, RemoteException

Throws:
  `AlreadyBoundException`
  `MalformedURLException`
  `RemoteException`

### unbind

void unbind(String name) throws RemoteException, NotBoundException, MalformedURLException

Throws:
  `RemoteException`
  `NotBoundException`
  `MalformedURLException`

### rebind

void rebind(String name, Remote obj) throws RemoteException, MalformedURLException

Throws:
  `RemoteException`
  `MalformedURLException`

### list

String[] list(String name) throws RemoteException, MalformedURLException

Throws:
  `RemoteException`
  `MalformedURLException`